using System.ComponentModel;
using System.Data;

namespace SampleUltraTreeLoaderFromList
{
    public class TreeListItem
    {
        private string _name;
        private DataTable _key;

        private BindingList<TreeListItem> _treeListSubItems = new BindingList<TreeListItem>();


        public TreeListItem(DataTable key, string itemName)
        {
            _name = itemName;
            _key = key;

        }
        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }
        public DataTable Key
        {
            get { return _key; }
            set { _key = value; }
        }

        public BindingList<TreeListItem> TreeListSubItems
        {
            get { return _treeListSubItems; }
            set { _treeListSubItems = value; }
        }
    }
}
